Bug 225745 - Merge Review: fedora-logos
Merge Review: fedora-logos
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fedora-logos (Show other bugs)
23
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 13:35 EST by Nobody's working on this, feel free to take it
Modified: 2016-12-20 06:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 06:56:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 13:35:31 EST
Fedora Merge Review: fedora-logos

http://cvs.fedora.redhat.com/viewcvs/devel/fedora-logos/
Initial Owner: davidz@redhat.com
Comment 1 Roozbeh Pournader 2007-02-03 21:05:56 EST
BLOCKER:
Package is not free software (MUST item in reviews), the license field is not a
license type descriton either, but a copyright line instead.
Comment 2 Matthias Clasen 2007-02-04 16:05:59 EST
I agree about the license tag. 
Wrt to the package not being free software, I'll cite the packaging guidelines:

"If the content enhances the OS user experience, then the content is OK to be
packaged in Fedora Extras."

"If you are unsure if something is considered approved content, ask on
fedora-extras-list."




Comment 3 Matthias Clasen 2007-02-08 12:37:13 EST
So, whats the next step here ?
Comment 4 Roozbeh Pournader 2007-02-09 11:41:28 EST
(In reply to comment #3)
> So, whats the next step here ?

Someone should take the package for review.
Comment 5 Matthias Clasen 2007-02-09 13:07:54 EST
Well, you started a review and left a - behind, so it was not very clear that
you don't intend to continue :-(
Comment 6 Roozbeh Pournader 2007-02-10 05:54:46 EST
(In reply to comment #5)
> Well, you started a review and left a - behind

I'm so sorry if that left the impression that I want to review this package. I
just mentioned a blocker item which I came into when looking at the package to
see if I want to review it or not.
Comment 7 Till Maas 2008-08-08 18:43:48 EDT
[NOT OK] rpmlint output:
fedora-logos.noarch: W: invalid-license Not licensed.  See COPYING file for trademark permission.
exception

fedora-logos.noarch: W: no-url-tag
I guess there this should maybe point to
http://fedoraproject.org/wiki/Artwork
or
http://fedoraproject.org/wiki/Logo

fedora-logos.noarch: E: only-non-binary-in-usr-lib
fedora-logos.noarch: E: invalid-desktopfile /usr/share/applications/screensavers/system.desktop
need to investigate

fedora-logos.src:20: W: unversioned-explicit-obsoletes redhat-logos
probably ok

fedora-logos.src:166: E: hardcoded-library-path in /usr/lib/anaconda-runtime/boot/*png
fedora-logos.src:167: E: hardcoded-library-path in /usr/lib/anaconda-runtime/*.sh
fedora-logos.src:168: E: hardcoded-library-path in /usr/lib/anaconda-runtime/*.jpg
At least %{_prefix} for /usr needs to be used.

fedora-logos.src:557: W: macro-in-%changelog defattr
* Mon Jun 19 2000...
- Add %defattr
There needs to be an extra percent sign:
- Add %%defattr

fedora-logos.src: W: invalid-license Not licensed.  See COPYING file for trademark permission.
fedora-logos.src: W: no-url-tag
see above

[OK] Spec in %{name}.spec format

[EXCEPTION] license allowed:
This is a special package afaics.
[OK] license in tarball and included in %doc:
COPYING

[OK] package is code or permissive content:


[EXCEPTION] Source0 is a working URL
Afaics CVS is the upstream location for the Sources
<NOT OK> SourceX / PatchY prefixed with %{name}
Source1: background.png
Imho this is to generic, fedora-logos-background.png would be better.

[EXCEPTION] Source0 matches Upstream:

[OK] Package builds on all platforms: noarch
[OK] BuildRequires are complete (mock builds)
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin 
[OK] Prefix: /usr not used (not relocatable)
https://fedoraproject.org/wiki/Packaging/Guidelines#Relocatable_packages

[NOT OK] Owns all created directories:
e.g.: /usr/share/kde4/apps/ksplash/Themes
not sure, whether this is ok. Maybe you should multiown these directories,
too.

[NOT OK] no duplicates in %files
155 %{_datadir}/icons/hicolor/*/apps/*
156 %{_datadir}/icons/Bluecurve/*/apps/*

162 # we multi-own these directories, so as not to require the packages that
163 # provide them, thereby dragging in excess dependencies.
164 %{_datadir}/icons/Bluecurve
165 %{_datadir}/icons/hicolor
Either drop lines 155 and 156 or add a %dir before lines 164 and 165.

[OK] %defattr(-,root,root,-) is in every %files section
[EXCEPTION] Does not own files or dirs from other packages
see comment in spec

[OK] included filenames are in UTF-8
[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[NOT OK] Consistent macro usage
/usr/lib/anaconda-runtime/boot/*png
/usr/lib/anaconda-runtime/*.sh
/usr/lib/anaconda-runtime/*.jpg
Use %{_prefix} instead of /usr

[OK] large documentation is -doc subpackage
[OK] %doc does not affect runtime
{OK} no pre-built binaries (.a, .so*, executable)
{OK} well known BuildRoot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
{OK} PreReq not used
{OK} no duplication of system libraries
{OK} no rpath
{OK} Timestamps preserved with cp and install
{OK} Requires(pre,post) style notation not used
{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)

{OK} nothing installed in /srv
{OK} Changelog in allowed format
<OK> Architecture independent packages have: BuildArch: noarch
{OK} Follows Naming Guidelines



Will check later:
{} Conflicts
https://fedoraproject.org/wiki/Packaging/Conflicts
{} Scriptlets
complete rpmlint output (desktop file)


Btw:
infinity-grub.xpm.gz is both in cvs and sources file
Comment 8 Cole Robinson 2015-02-11 15:36:22 EST
Mass reassigning all merge reviews to their component. For more details, see this FESCO ticket:

  https://fedorahosted.org/fesco/ticket/1269

If you don't know what merge reviews are about, please see:

  https://fedoraproject.org/wiki/Merge_Reviews

How to handle this bug is left to the discretion of the package maintainer.
Comment 9 Jan Kurik 2015-07-15 11:26:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 10 Fedora End Of Life 2016-11-24 05:18:42 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 06:56:34 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.